XWFB-RUN(1)

NAME
xwfb-run - Run X11 clients on a dedicated Xwayland server headless.

SYNOPSIS
xwfb-run [option ...] -- COMMAND

DESCRIPTION
xwfb-run is intended as a replacement utility for xvfb-run, using rootful Xwayland running fullscreen on a headless compositor instead of Xvfb.

OPTIONS

-a AUTO_SERVERNUM, --auto-servernum AUTO_SERVERNUM
    Unused, kept for backward compatibility only.

-c COMPOSITOR, --compositor COMPOSITOR
    Use the compositor class implementation.

-d AUTO_DISPLAY, --auto-display AUTO_DISPLAY
    Unused, kept for backward compatibility only.

-e ERROR_FILE, --error-file ERROR_FILE
    File used to store xauth and X server errors.

-f AUTH_FILE, --auth-file AUTH_FILE
    File used to store auth cookie.

-n SERVER_NUM, --server-num SERVER_NUM
     Xserver number to use.

-l, --listen-tcp
    Enable TCP port listening in the X server.

-p XAUTH_PROTO, --xauth-proto XAUTH_PROTO
    Xauthority protocol name to use.

-s SERVER_ARGS, --server-args SERVER_ARGS
    Arguments to pass to the X server. Xserver arguments must be escaped with two backslash characters, e.g. -s \\-ac.

-w WAIT, --wait WAIT
    Delay in seconds to wait for the X server to start before running COMMAND.

-z COMPOSITOR_ARGS, --compositor-args COMPOSITOR_ARGS
    Arguments to pass to the Wayland compositor. Arguments intended to the Wayland compositor must be escaped with two backslash characters, e.g. -z \\--renderer -z gl.

FILES

wlheadless.conf

Sets the default compositor to use.

The file is searched in wlheadless directory relative to the paths specified in the standard environment variables XDG_DATA_HOME and XDG_DATA_DIRS.

[DEFAULT]
    Compositor = weston

SEE ALSO
wlheadless-run(1), xwayland-run(1), Xwayland(1), Xvfb(1)